@import url('https://fonts.googleapis.com/css2?family=Sarabun&display=block');


.character-message-wrapper{
    padding: 1rem 0;
    width: 100%;
    position: relative;
	}
.character-message-wrapper .message-box::before{    
    content: url('../images/game/character-message-triangle-top.svg');
    position: absolute;
   	left: 50%;
   	margin-left: -1.9rem;
    top: -1.5rem;
    width: 3.8rem; 
	} 	
.character-message-wrapper img.profile{
	display: block;
	border-radius: 1rem;
	width: 10rem;
    height: 10rem;
    margin: 0 auto;
	}
.character-message-wrapper .title{
	font-size: 1.15rem;
	font-weight: bold;
	text-align: center;
	}	
.character-message-wrapper .message-box{
    position: relative;
    border: 3px solid #ddd;
    height: min-content;
    border-radius: .75rem;
    margin-top: 1.15rem;
    }  
.character-message-wrapper .messages{
	/*overflow-y: auto;
	max-height: 12rem;*/
	padding: .75rem 1rem;
    font-family: 'Sarabun';
    font-size: 1.1rem;	
	}	
.character-message-wrapper .messages img{ 
	width: 100%; 
	margin: 1.5rem 0 0 0;
	}	
.character-message-wrapper .messages p{ 
	line-height: 1.5rem;
	padding: .5rem 0;
	}	
.points-feedback{
	display: grid;
    grid-template-columns: min-content auto;
    grid-gap: 1rem;
    align-items: center;
    line-height: 1.15rem;
    margin: .5rem 0;
	}
.points-feedback img{ 
	width: 5rem;
	aspect-ratio: 1;
	animation: pulse-scale .75s infinite;
	animation-timing-function: ease-in-out;
	animation-direction: alternate;
	}
.points-feedback+.points-feedback{ margin-top: 1rem; }	
@keyframes pulse-scale {
	0% { transform: scale(1.0); }
	100% { transform: scale(1.2); } 
	}	

/* DASHBOARD */
#dashboard .character-message-wrapper{ padding: 1rem 0 0 0; }
.dashboard-section h2{ padding-top: 0; }
.dashboard-section .points-feedback{ 
	margin: .5rem 0; 
	grid-gap: .5rem;
	color: #aaa;
    font-weight: bold;
	}
.dashboard-section .img-right-wrapper .points-feedback img{
	width: 3rem;
	min-height: 3rem;
	padding: 0;
	animation: none;
	}
.dashboard-section #quizzes-taken-feedback{
	font-weight: bold;
	padding: 1rem 0;
	}
#dashboard #player-summary{
	margin-top: 3rem;
	}

.small-numbers-grid{
	display: grid;
	grid-template-columns: 2rem auto;
	gap: 1.5rem 1rem;
	margin: 1rem 0;
	}
.small-numbers-grid .number{
	background-color: var(--asu-maroon);
	color: #fff;
	display: grid;
	font-weight: bold;
	border-radius: 50%;
	font-size: 1.15rem;
	width: 2.2rem;
	height: 2.2rem;
	justify-content: center;
    align-items: center;
	}	

@media print, (min-width:580px) {
	.character-message-wrapper{
		display: grid;
	    grid-template-columns: min-content auto;
	    grid-gap: 3rem;	
	}
	.character-message-wrapper .message-box{ margin-top: 0; }
	.character-message-wrapper .messages{
		padding: 1.25rem 2rem;
		min-height: 9rem;
    }
    .character-message-wrapper img.profile{
		width: 16rem;
		height: 16rem;
		margin: 0;
	}
    .character-message-wrapper .messages p{ 
		line-height: 1.65rem;
	}
	.character-message-wrapper .message-box::before{    
	    content: url('../images/game/character-message-triangle-side.svg');
	    margin: 0;
	    position: absolute;
	   	left: -2.1rem;
	    top: 2.5rem;
	    width: 2.25rem; 
	} 

}    